package cn.pluss.platform.util;

/**
 * @author DJH
 */
public class AreaUtils {

    /**
     * 获取地区的编码数组
     * @return  省市县(区)的编码数组
     */
    public static String[] distinctArrayFromAreaCode(String area) {
        String[] result = new String[3];
        result[2] = area;
        // 前4位即为市的编码

        if (area.length() > 6) {
            // 某些特殊区域市编码长度为4位
            result[1] = area.substring(0, 6);
        } else {
            result[1] = area.substring(0, 4) + "00";
        }
        // 前2位即为省的编码
        result[0] = area.substring(0, 2) + "0000";

        return result;
    }
}
